Subject: Re: bug#30794: Cannot produce backslash through hexadecimal - sed (GNU sed) 4.2.2
From: Jim Meyering <[email-masked]>
To: Assaf Gordon <[email-masked]>
Cc: 0xddaa <[email-masked]>, [email-masked]
Date: Wed, 14 Mar 2018 17:18:43 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Mar 14, 2018 at 3:43 PM, Assaf Gordon <[email-masked]> wrote:
> Replying to myself:
>
> On Wed, Mar 14, 2018 at 04:34:18PM -0600, Assaf Gordon wrote:
>> > [...]
>> > sed-1.18 : x5c1
>> > sed-2.05 : x5c1
>> > sed-3.01 : x5c1
>> > sed-3.02 : x5c1
>> > [...]
>
> I checked the NEWS file,
> and found that backslash sequences (e.g. \n \t \xNN \dNNN \oNNN)
> were added in version 3.02.80 (which I don't think is common and
> we don't have the source code).
>
> I changed the NEWS accordingly (attached updated patch).
>
> OK to push?

Sure. Re the "bug present since..." issue, my intent was to convey
that \x5c never worked the way we now consider correct.